#include <stdio.h>

int main(){
	int i;
	char s[128];
	/* inizializziamo s */
	for(i=0; i<128; i++)
		s[i]='*';
	/* leggiamo e stampiamo una stringa */
	scanf("%s", &s[0]);
	/* scanf("%s", s); */
	printf("%s\n", s);
	/* stampiamo il contenuto dell'array s */
	for(i=0; i<16; i++)
		printf("%d: \"%c\" (%d)\n", i, s[i], s[i]);
	/* stampiamo la sola stringa, un carattere alla volta */
	printf("\n");
	for(i=0; s[i]!='\0'; i++)
		printf("%d: \"%c\" (%d)\n", i, s[i], s[i]);	
	printf("Lunghezza di s: %d\n", i);
	return 0;
}
